{% extends "gracedb/event_detail.html" %}
{% load timeutil %}

{% block basic_info %}
<h2> Basic Info </h2>

<table class="event">
    {% if skyalert_authorized  %}
        <tr><td colspan="4">
           <a href="{% url "skyalert" object.graceid %}"><button type="button">Submit to Skyalert</button></a>
        </td></tr>
    {% endif %}

    <tr>
            <th valign="top">UID</th>
            <th>Labels</th>
            <th>Group</th>
            <th>Pipeline</th>
            <th>Search</th>
            <th>Instruments</th>
            <th>
                <div id="basic_info_event_ts"></div>
                <div> Event Time </div>
            </th>
            <th>Links</th>
            <th>
                <div id="basic_info_created_ts"></div>
                <div> Submitted </div>
            </th>
    </tr>


    <tr>
        <td>{{ object.graceid }}</td>
        <td>
             {% for labelling in object.labelling_set.all %}
                <span onmouseover="tooltip.show(tooltiptext('{{labelling.label.name}}', '{{labelling.creator.name}}', '{{labelling.created|utc}}', '{{labelling.label.description}}'));" onmouseout="tooltip.hide();"  style="color: {{labelling.label.defaultColor}}">{{ labelling.label.name }}</span>
             {% endfor %}
        </td>
        <td>{{ object.group.name }} </td>
        <td>{{ object.pipeline.name }} </td>
        <td>{{ object.search.name }} </td>
        <td>{{ object.instruments }}</td>
        <td>{% if object.gpstime%}
                <!-- <span title="{{ object.gpstime|gpsdate }}">{{ object.gpstime }}</span> -->
                {{ object.gpstime|multiTime:"gps" }}
            {% endif %}</td>
        <td><a href="{{ object.weburl }}">Data</a></td>
        <td>{{ object.created|multiTime:"created" }}</td>
    </tr>

</table>
{% endblock %}

{% block analysis_specific %}
{% if object.grbevent %}

<table class="analysis_specific">
       	<tbody>
		<tr><th>IVORN</th><td colspan="2">{{object.ivorn}}</td></tr>
		<tr><th>Author</th><td colspan="2">{{object.author_shortname}}</td></tr>
		<tr><th>Author IVORN</th><td colspan="2">{{object.author_ivorn}}</td></tr>
		<tr><th>Observatory</th><td colspan="2">{{object.observatory_location_id}}</td></tr>
		<tr><th>How</th><td colspan="2">
{% if object.how_reference_url %}
				<a href="{{object.how_reference_url}}" target="_new">{{object.how_description}}</a>
{% else %}
				{{object.how_description}}
{% endif %}
		</td></tr>
        {% if object.trigger_id %}
		<tr><th>Trigger ID</th><td colspan="2">{{object.trigger_id}}</td></tr>
        {% endif %}
        {% if object.trigger_duration %}
		<tr><th>Trigger duration</th><td colspan="2">{{object.trigger_duration}}</td></tr>
        {% endif %}
        {% if object.t90 %}
		<tr><th>T90</th><td colspan="2">{{object.t90}}</td></tr>
        {% endif %}
        {% if object.redshift %}
		<tr><th>Redshift</th><td colspan="2">{{object.redshift}}</td></tr>
        {% endif %}
        {% if object.designation %}
		<tr><th>Event designation</th><td colspan="2">{{object.designation}}</td></tr>
        {% endif %}
		<tr><th>Location</th><th>Coord System</th><td>{{object.coord_system}}</td></tr>
		<tr><td></td><th width="150px">RA</th><td>{{object.ra}}</td></tr>
		<tr><td></td><th>Dec</th><td>{{object.dec}}</td></tr>
		<tr><td></td><th>Err</th><td>{{object.error_radius}}</td></tr>
	</tbody>
</table> 

{% if can_modify_t90 %}
<div class="content-area">
<form action="{% url "modify_t90" object.graceid %}" method="post">
    <input type="text" name="t90" value="{{ object.t90 }}">
    <input type="submit" value="Update T90" class="t90ButtonClass">
</form>
<form action="{% url "modify_t90" object.graceid %}" method="post">
    <input type="text" name="redshift" value="{{ object.redshift }}">
    <input type="submit" value="Update redshift" class="t90ButtonClass">
</form>
<form action="{% url "modify_t90" object.graceid %}" method="post">
    <input type="text" name="designation" value="{{ object.designation }}">
    <input type="submit" value="Update designation" class="t90ButtonClass">
</form>
</div>
{% endif %}

{% endif %}
{% endblock %}

